Subject: Re: [PATCH v2] userdiff: update Ada patterns

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Feb 2014 09:17:47 -0800

Adrian Johnson <[email-masked]> writes:

>>> -	 "|[0-9][-+0-9#_.eE]"
>>> +	 "|[-+]?[0-9][0-9#_.aAbBcCdDeEfF]*([eE][+-]?[0-9_]+)?"
>> 
>> This would match a lot wider than what I read you said you wanted to
>> match in your previous message.  Does "-04##4_3_2Ee-9" count as a
>> number, for example, or can we just ignore such syntactically
>> incorrect sequence?
>
> Maybe I am misunderstanding the purpose of the word diff regexes. I
> thought the purpose of the word regex is to split lines into words, not
> determine what is syntactically correct.

I agree that the purpose is former---So you could have just said
"the latter" ;-).

Any other nitpick, anybody?  Otherwise I'll queue this version.